| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Input Class Reference

`#include <inputs.h>`

## Public Member Functions
| Input (aJsonObject *obj, aJsonObject *configObj=NULL)
| Input (char *name)
boolean | isValid ()
void | onContactChanged (int newValue)
void | onAnalogChanged (itemCmd newValue)
int | Poll (short cause)
void | setup ()

## Static Public Member Functions
static void | onCounterChanged (int i)
static void | onCounterChanged0 ()
static void | onCounterChanged1 ()
static void | onCounterChanged2 ()
static void | onCounterChanged3 ()
static void | onCounterChanged4 ()
static void | onCounterChanged5 ()

## Public Attributes
aJsonObject * | inputObj
uint8_t | inType
uint8_t | pin
inStore * | store

## Protected Member Functions
void | Parse (aJsonObject *configObj=NULL)
void | contactPoll (short cause)
void | analogPoll (short cause)
void | dht22Poll ()
void | counterPoll ()
void | attachInterruptPinIrq (int realPin, int irq)
unsigned long | nextPollTime () const
void | setNextPollTime (unsigned long pollTime)
void | uptimePoll ()
bool | publishDataToDomoticz (int, aJsonObject *, const char *format,...)
char * | getIdxField ()
bool | changeState (uint8_t newState, short cause)

## Constructor & Destructor Documentation

## ◆ Input() [1/2]

Input::Input | ( | aJsonObject * | obj,
|  | aJsonObject * | configObj = `NULL`
| ) |  |

## ◆ Input() [2/2]

Input::Input | ( | char * | name | ) |

## Member Function Documentation

## ◆ analogPoll()

void Input::analogPoll | ( | short | cause | ) |
| protected

## ◆ attachInterruptPinIrq()

void Input::attachInterruptPinIrq | ( | int | realPin,
|  | int | irq
| ) |  |
| protected

## ◆ changeState()

bool Input::changeState | ( | uint8_t | newState,
|  | short | cause
| ) |  |
| protected

## ◆ contactPoll()

void Input::contactPoll | ( | short | cause | ) |
| protected

## ◆ counterPoll()

void Input::counterPoll | ( |  | ) |
| protected

## ◆ dht22Poll()

void Input::dht22Poll | ( |  | ) |
| protected

## ◆ getIdxField()

char * Input::getIdxField | ( |  | ) |
| protected

## ◆ isValid()

boolean Input::isValid | ( |  | ) |

## ◆ nextPollTime()

unsigned long Input::nextPollTime | ( |  | ) | const
| protected

## ◆ onAnalogChanged()

void Input::onAnalogChanged | ( | itemCmd | newValue | ) |

## ◆ onContactChanged()

void Input::onContactChanged | ( | int | newValue | ) |

## ◆ onCounterChanged()

void Input::onCounterChanged | ( | int | i | ) |
| inline static

## ◆ onCounterChanged0()

void Input::onCounterChanged0 | ( |  | ) |
| static

## ◆ onCounterChanged1()

void Input::onCounterChanged1 | ( |  | ) |
| static

## ◆ onCounterChanged2()

void Input::onCounterChanged2 | ( |  | ) |
| static

## ◆ onCounterChanged3()

void Input::onCounterChanged3 | ( |  | ) |
| static

## ◆ onCounterChanged4()

void Input::onCounterChanged4 | ( |  | ) |
| static

## ◆ onCounterChanged5()

void Input::onCounterChanged5 | ( |  | ) |
| static

## ◆ Parse()

void Input::Parse | ( | aJsonObject * | configObj = `NULL` | ) |
| protected

## ◆ Poll()

int Input::Poll | ( | short | cause | ) |

## ◆ publishDataToDomoticz()

bool Input::publishDataToDomoticz | ( | int | pollTimeIncrement,
|  | aJsonObject * | emit,
|  | const char * | format,
|  |  | ...
| ) |  |
| protected

## ◆ setNextPollTime()

void Input::setNextPollTime | ( | unsigned long | pollTime | ) |
| protected

## ◆ setup()

void Input::setup | ( |  | ) |

## ◆ uptimePoll()

void Input::uptimePoll | ( |  | ) |
| protected

## Member Data Documentation

## ◆ inputObj

aJsonObject* Input::inputObj

## ◆ inType

uint8_t Input::inType

## ◆ pin

uint8_t Input::pin

## ◆ store

inStore* Input::store

The documentation for this class was generated from the following files:

- inputs.h
- inputs.cpp